Foreman - Bug #5689

Plugin permissions are skipped during migration from old to new system
05/13/2014 11:58 AM - Marek Hulan

Status: Closed

Priority: Normal

Assignee: Marek Hulan

Category: DB migrations

Target version: 1.5.1

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.5.0
Bugzilla link: 1107696 Red Hat JIRA:

Pull request:

Description

Plugin initializer is loaded only once when running multiple migrations. Since plugin permissions are ignored (permissions table does
not exist yet) they are not created in database and permission migration can't migrate them. Therefore we must find all plugin
permission during permission migration and create them before that.

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

Associated revisions

Revision 1a6e0963 - 05/19/2014 11:06 AM - Marek Hulan

Fixes #5689 - Plugin permissions are migrated too

Revision 423aa160 - 06/11/2014 01:02 PM - Marek Hulan

Fixes #5689 - Plugin permissions are migrated too

(cherry picked from commit 1a6e0963a7229abbece7838b72c7e74660aafa25)

History

#1 - 05/13/2014 12:12 PM - Marek Hulan

- Blocks Tracker #4552: New permissions/authorization system issues added

#2 - 05/13/2014 12:13 PM - Marek Hulan
- Status changed from Assigned to Ready For Testing

PR https://github.com/theforeman/foreman/pull/1442

#3 - 05/19/2014 11:31 AM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1a6e0963a7229abbece7838b72c7e74660aafa25.

#4 - 06/10/2014 12:52 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107696
